LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

NI-MAQdx expiration

I create an Installer for my vi, which uses among other things the vision runtime software (NI-MAQdx Runtime 20.0, High Performance GigE Vision Drivers and NI-MAQ Runtime 20.0). After installing on a non-LabVIEW laptop, the end user gets the following message 'NI-MAQdx. This software expires in 6 days'. Is the end user required to purchase some additional software from NI? It is not clear how to fix this problem. 

Thank you. 

Girish

0 Kudos
Message 1 of 8
(878 Views)

The runtime for Vision applications costs extra; last time I needed one it was about $600 a license.

0 Kudos
Message 2 of 8
(863 Views)

Girish,

 

You need to get the "NI Vision Development Module Runtime".  It used to be a 1 time purchase that you could upgrade forever - I'm not sure if this got changed with the recent changes to NI software pricing.  It's always be a bit difficult to find, and at the moment I can find the download, but not the page to purchase the license.

 

-Dave

0 Kudos
Message 3 of 8
(856 Views)

As I recall, every machine that runs IMAQdx for Vision Acquisition (Vision Acquisition Software, or VAS) requires its own license.  One such License is included on the machine that has the license for the Vision Development Module (VDM), but when you build an executable and run it on a different machine, you get a "temporary" (7-day) license, and must purchase a VAS license for the "different machine" to run the program after the 7 days have expired.  You should be able to purchase this license from NI.

 

Bob Schor

0 Kudos
Message 5 of 8
(786 Views)

and I advice anybody how wanats to use imaqdx in their installer  - use a package, instead.

 

imaqdx with configuration is only available if you build a package

 

If this component is missing, there where sever issues with NI Max, as far as I can remember

0 Kudos
Message 6 of 8
(718 Views)

@alexderjuengere wrote:

and I advice anybody how wanats to use imaqdx in their installer  - use a package, instead.

 

imaqdx with configuration is only available if you build a package

I have limited experience with building Installers (and I've built few executables with LabVIEW Vision), but I definitely don't know what you mean by "build a package".  Can you suggest where I go to learn about this step?

 

Bob Schor

0 Kudos
Message 7 of 8
(707 Views)

Hi Bob!

 

there exits this: https://knowledge.ni.com/KnowledgeArticleDetails?id=kA03q000000x2H7CAI&l=de-DE

Besides that, I am self-taught, so I can't point you to a document, but I can share my findings.

 

as you will know in order to compile an .exe via LabView Application Builder via an LabView Projects containing all our .vis, ctls etc., you have to setup a build configuration -

 

package is just another entry in this menu

 

build specifications menu example
alexderjuengere_0-1698680066526.png alexderjuengere_1-1698681106661.png

 

 

 

we used installers to setup LabView programs on  new systems in a defined manner.

there is an equivalent in "My Installer properties" called "Additional Installers" - but with fewer components.

package installer
alexderjuengere_2-1698681461514.png alexderjuengere_3-1698681625521.png

 

 

today, we are using packages, as we need a dependency which can only be added via "My Package Properties > Dependencies" "Automatically select dependencies"=unchecked

 

what was the name of that dependency you may ask? I cant recall the exact name as it has been a while, but I remember "NI imaqdx with configuration" - without that dependency added to the installer or rather package, the system's gigevision cameras will show up in NI Max, but can't get configured in NI Max e.g. change the camera's name.

 

 

 

 

 

 

 

 

 

 

 

 

 

0 Kudos
Message 8 of 8
(697 Views)